import {
  Controller,
  Delete,
  Get,
  HttpException,
  HttpStatus,
  Patch,
  Post,
  Put,
  UseFilters,
} from "@nestjs/common";
import { CatsService } from "./cats.service";
import { HttpExceptionFilter } from "src/http-exception.filter";

@Controller("cats")
export class CatsController {
  constructor(private readonly catsService: CatsService) {}

  @Get()
  @UseFilters(HttpExceptionFilter)
  getAllCat() {
    // throw new HttpException(
    //   { customized: true, success: false, message: "api is broken" },
    //   HttpStatus.UNAUTHORIZED,
    // );
    throw new HttpException("api is broken", HttpStatus.UNAUTHORIZED);
    return "all cat";
  }

  @Get(":id")
  getOneGat() {
    return "one cat";
  }

  @Post()
  createCat() {
    return "create cat";
  }

  @Put(":id")
  updateCat() {
    return "update cat";
  }

  @Patch(":id")
  updatePartialCat() {
    return "update partial cat";
  }

  @Delete(":id")
  deleteCat() {
    return "delete cat";
  }
}
