class Animal {
    constructor(public name: string) {}

    speak(): void {
        console.log(`${this.name}이(가) 소리를 냅니다.`);
    }
}

class Dog extends Animal {
    bark(): void {
        console.log("멍멍!");
    }
}

const myDog = new Dog("바둑이");
myDog.bark();
myDog.speak();