type User3 = {
    id: number;
    name: string;
};

type User3Keys = keyof User3;

function getValue(user: User3, key: User3Keys) {
    return user[key];
}

const user3 = { id: 10, name: "dor" };
console.log(getValue(user3, "name"));

const config = {
    port: 3000,
    debug: true
};

type Config = typeof config;
console.log(typeof config);