function safeParse(json: string): unknown {
    try {
        return JSON.parse(json);
    } catch {
        return null;
    }
}

const result = safeParse('{"name":"Dorr"}');
console.log(result);

if (typeof result === "object" && result !== null && "name" in result) {
    console.log((result as { name: string }).name);
}

function fail(): never {
    throw new Error("Failed!");
}